Page MenuHomePhabricator

MediaViewer not working for thumbnails as of 1.32.0-wmf.2
Closed, ResolvedPublic

Description

Thumbnails on entities rendered after the 1.32.0-wmf.2 deploy wont be picked up by MMV. This is because MMV uses the select a.image img to pick up the thumbs, but we stopped setting the image class onto our image link with 45d1ff372fd702ab6730a8188fb380f65b01ea0f given that ThumbnailImage::toHtml stops setting it once a custom target URL is provided.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterRewrite CommonsInlineImageFormatter

Event Timeline

hoo created this task.May 4 2018, 2:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 4 2018, 2:38 PM

Change 430930 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/extensions/Wikibase@master] Rewrite CommonsInlineImageFormatter

https://gerrit.wikimedia.org/r/430930

Change 430930 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Rewrite CommonsInlineImageFormatter

https://gerrit.wikimedia.org/r/430930

Lydia_Pintscher closed this task as Resolved.May 8 2018, 8:22 AM
Lydia_Pintscher claimed this task.
Vvjjkkii renamed this task from MediaViewer not working for thumbnails as of 1.32.0-wmf.2 to rldaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Lydia_Pintscher as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Lydia_Pintscher; removed: gerritbot, Aklapper.
CommunityTechBot renamed this task from rldaaaaaaa to MediaViewer not working for thumbnails as of 1.32.0-wmf.2.Jul 2 2018, 4:28 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Lydia_Pintscher.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: Lydia_Pintscher.